##############################################################################
# This optional file "builder-targets-cb.sh" will be called by builder.sh 
# 
# The targets will be called from thde opsi-builder using the following
# order: config, prepare, retrieve, create, package, publish, commit, cleanup 
# You can overwrite the target functions in builder-targets-cb.sh
# 
# You can define callback functions. The functions are called from
# opsi-builder within processing a target
#   cb_package_makeproductfile
#
# You can use every variable defined in any configuration file or by
# the defined builder script itself. Also, calling the predefined
# targets builder_<targetname> is possible.
#
# Abstract:
#  target order: config, prepare, retrieve, create, package, publish, commit, cleanup
#  callbacks: <none>
#
##############################################################################

function cleanup() {
    echo "Cleanup"
    builder_cleanup
}

function create() {
    echo "Create"
    builder_create

	mkdir -p $INST_DIR/CLIENT_DATA/X86_64/Addons/bundles
#	mv  $INST_DIR/CLIENT_DATA/X86_64/Addons/bundles/*.xpi $INST_DIR/CLIENT_DATA/X86_64/Addons/bundles
	
	pushd $INST_DIR/CLIENT_DATA/X86_64/Addons/bundles
	for file in `ls *.xpi`
	do
	    dirname=`echo $file|sed 's/\.xpi$//g'`
	    mkdir $dirname
	    7z x -o$INST_DIR/CLIENT_DATA/X86_64/Addons/bundles/$dirname $INST_DIR/CLIENT_DATA/X86_64/Addons/bundles/$file
	done
	popd
	rm  $INST_DIR/CLIENT_DATA/X86_64/Addons/bundles/*.xpi

	sed -e "s!Mozilla Foundation!Waterfox Limited!" -i $INST_DIR/CLIENT_DATA/X86_64/Addons/bundles/langpack-de@firefox.mozilla.org/browser/chrome/de/locale/branding/*.*
	sed -e "s!Mozilla!Waterfox Project!" -i $INST_DIR/CLIENT_DATA/X86_64/Addons/bundles/langpack-de@firefox.mozilla.org/browser/chrome/de/locale/branding/*.*
	sed -e "s!Firefox!Waterfox!" -i $INST_DIR/CLIENT_DATA/X86_64/Addons/bundles/langpack-de@firefox.mozilla.org/browser/chrome/de/locale/branding/*.*
	sed -e "s!Firefox-Logos!Waterfox-Logos!" -i $INST_DIR/CLIENT_DATA/X86_64/Addons/bundles/langpack-de@firefox.mozilla.org/browser/chrome/de/locale/branding/*.*
	
	mkdir -p $INST_DIR/CLIENT_DATA/X86_64/Addons/extensions
#	mv  $INST_DIR/CLIENT_DATA/X86_64/Addons/extensions/*.xpi $INST_DIR/CLIENT_DATA/X86_64/Addons/extensions

	pushd $INST_DIR/CLIENT_DATA/X86_64/Addons/extensions
	for file in `ls *.xpi`
	do
	    dirname=`echo $file|sed 's/\.xpi$//g'`
	    mkdir $dirname
	    7z x -o$INST_DIR/CLIENT_DATA/X86_64/Addons/extensions/$dirname $INST_DIR/CLIENT_DATA/X86_64/Addons/extensions/$file
	done
	popd
	rm  $INST_DIR/CLIENT_DATA/X86_64/Addons/extensions/*.xpi
}
